
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPStatechartDiagram  extends IRPDiagram {
	/**
	 * method addAndLine
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection addAndLine(IRPGraphNode sourceState, int xStartPosition, int yStartPosition, int xEndPosition, int yEndPosition);
	/**
	 * method createGraphics
	 * @throws RhapsodyRuntimeException
	 */
	public void createGraphics();
	/**
	 * method getStatechart
	 * @throws RhapsodyRuntimeException
	 */
	public IRPStatechart getStatechart();
}

