
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPSwimlane  extends IRPModelElement {
	/**
	 * get property contents
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getContents();
	/**
	 * get property represents
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getRepresents();
	/**
	 * get property swimlanes
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getSwimlanes();
	/**
	 * set property represents
	 * @throws RhapsodyRuntimeException
	 */
	public void setRepresents(IRPModelElement represents);
}

