
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPControlledFile  extends IRPUnit {
	/**
	 * get property fullPathFileName
	 * @throws RhapsodyRuntimeException
	 */
	public String getFullPathFileName();
	/**
	 * method open
	 * @throws RhapsodyRuntimeException
	 */
	public void open();
	/**
	 * method set target
	 * @throws RhapsodyRuntimeException
	 */
	public void setTarget(String filename);
}

