
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPStereotype  extends IRPClassifier {
	/**
	 * method addMetaClass
	 * @throws RhapsodyRuntimeException
	 */
	public void addMetaClass(String metaClass);
	/**
	 * get property icon
	 * @throws RhapsodyRuntimeException
	 */
	public String getIcon();
	/**
	 * get property isNewTerm
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsNewTerm();
	/**
	 * get property ofMetaClass
	 * @throws RhapsodyRuntimeException
	 */
	public String getOfMetaClass();
	/**
	 * method removeMetaClass
	 * @throws RhapsodyRuntimeException
	 */
	public void removeMetaClass(String metaClass);
	/**
	 * set property isNewTerm
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsNewTerm(int isNewTerm);
}

